/**
 * Karma config file
 * Copyright © 2017 Alexander Konov. All rights reserved.
 */

'use strict';

module.exports = function (config) {
    config.set({
        frameworks: ['browserify', 'jasmine'],
        reporters: ['spec'],
        browsers: ['PhantomJS'],
        singleRun: true,
        files: [
            './node_modules/jquery/dist/jquery.js',
            'tests/**/*.coffee'
        ],

        preprocessors: {
            'tests/**/*.coffee': ['browserify'],
        },

        browserify: {
            debug: true,
            transform: ['coffeeify', 'brfs'],
            extensions: ['.coffee', '.js']
        }
    });
};