###
# Find response scheme
# Copyright © 2017 Alexander Konov. All rights reserved.
###

'use strict'

AbstractScheme = require '../AbstractScheme'
File = require './File'

class Find extends AbstractScheme

  fields: ->
    [
      'files',
    ]

  dependencies: ->
    {
      files: [AbstractScheme.DEPENDENCY_TYPE_ARRAY, File]
    }

module.exports = Find