##
# The main file that integrates Attachments to jQxuery
# Copyright © 2017 Alexander Konov. All rights reserved.
##

'use strict'


Attachments = require('./Attachments')
$ = require('jquery')

$.fn.extend attachments: (option, args...) ->
  integrate = ($this) =>
    data = $this.data('attachments')
    if !data
      $this.data 'attachments', (data = new Attachments($, this, option, document.body))
    if typeof option == 'string' and /^[a-zA-Z]+$/.test option
      return data[option].apply(data, args)
    @

  if @.length > 1
    @each ->
      integrate $(this)
  else
    return integrate @

